Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

## Class CreditTransferTransactionInformation2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_001_02.CreditTransferTransactionInformation2

    public class CreditTransferTransactionInformation2
    extends java.lang.Object

Java class for CreditTransferTransactionInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditTransferTransactionInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:sepade:xsd:pain.001.001.02}PaymentIdentification1"/>
             <element name="Amt" type="{urn:sepade:xsd:pain.001.001.02}AmountType3"/>
             <element name="CdtrAgt" type="{urn:sepade:xsd:pain.001.001.02}FinancialInstitution2"/>
             <element name="Cdtr" type="{urn:sepade:xsd:pain.001.001.02}PartyIdentification21"/>
             <element name="CdtrAcct" type="{urn:sepade:xsd:pain.001.001.02}CashAccount8"/>
             <element name="RmtInf" type="{urn:sepade:xsd:pain.001.001.02}RemittanceInformation3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected AmountType3` `amt`
`protected PartyIdentification21` `cdtr`
`protected CashAccount8` `cdtrAcct`
`protected FinancialInstitution2` `cdtrAgt`
`protected PaymentIdentification1` `pmtId`
`protected RemittanceInformation3` `rmtInf`

### Constructor Summary

Constructors
`CreditTransferTransactionInformation2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AmountType3` `getAmt()` Gets the value of the amt property.
`PartyIdentification21` `getCdtr()` Gets the value of the cdtr property.
`CashAccount8` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`FinancialInstitution2` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`PaymentIdentification1` `getPmtId()` Gets the value of the pmtId property.
`RemittanceInformation3` `getRmtInf()` Gets the value of the rmtInf property.
`void` `setAmt​(AmountType3 value)` Sets the value of the amt property.
`void` `setCdtr​(PartyIdentification21 value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccount8 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(FinancialInstitution2 value)` Sets the value of the cdtrAgt property.
`void` `setPmtId​(PaymentIdentification1 value)` Sets the value of the pmtId property.
`void` `setRmtInf​(RemittanceInformation3 value)` Sets the value of the rmtInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtId

    protected PaymentIdentification1 pmtId

#### amt

    protected AmountType3 amt

#### cdtrAgt

    protected FinancialInstitution2 cdtrAgt

#### cdtr

    protected PartyIdentification21 cdtr

#### cdtrAcct

    protected CashAccount8 cdtrAcct

#### rmtInf

    protected RemittanceInformation3 rmtInf

### Constructor Detail

#### CreditTransferTransactionInformation2

    public CreditTransferTransactionInformation2()

### Method Detail

#### getPmtId

    public PaymentIdentification1 getPmtId()

Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification1`

#### setPmtId

    public void setPmtId​(PaymentIdentification1 value)

Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification1`

#### getAmt

    public AmountType3 getAmt()

Gets the value of the amt property.

Returns:
  possible object is `AmountType3`

#### setAmt

    public void setAmt​(AmountType3 value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `AmountType3`

#### getCdtrAgt

    public FinancialInstitution2 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `FinancialInstitution2`

#### setCdtrAgt

    public void setCdtrAgt​(FinancialInstitution2 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution2`

#### getCdtr

    public PartyIdentification21 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentification21`

#### setCdtr

    public void setCdtr​(PartyIdentification21 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification21`

#### getCdtrAcct

    public CashAccount8 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount8`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccount8 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

#### getRmtInf

    public RemittanceInformation3 getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation3`

#### setRmtInf

    public void setRmtInf​(RemittanceInformation3 value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation3`